package com.matrix.codeGeneration.model;

/**
 * 属性名称和字段名称的对应bean
 * 
 * @author Matrix-j
 *
 */
public class PropertyColumn {
	/**
	 * 属性名称
	 */
	private String property;
	/**
	 * 字段名称
	 */
	private String column;
	/**
	 * 类型名称
	 */
	private String classType;

	/**
	 * JDBC名称
	 */
	private String jdbcType;
	
	/**
	 * JDBC名称 加长度
	 */
	private String fullJdbcType;
	
	
	/**
	 * 是否为主键
	 * 
	 */
	private Boolean isPrimaryKey;
	
	/**
	 * 是否在界面显示
	 * 在数据库用[显示字段]备注表示在界面显示
	 */
	private Boolean isVisible;
	
	/**
	 * 是否必填
	 * 在数据库用[显示字段*]备注表示必填项
	 */
	private Boolean isNecessary;
	
	/**
	 * 是否可为空
	 */
	private String isAllowNull;
	/**
	 * 显示在界面的名称
	 */
	private String showName;
	
	/**
	 * 是否为外键
	 */
	private Boolean isForeignKey;

	/**
	 * 外键表名
	 */
	private String foreignTableName;

	/**
	 * 备注
	 */
	private String memo;

	/**
	 * 字段最大长度
	 */
	private String columnLength;

	/**
	 * 方法名称
	 */
	private String methodName;

	/**
	 * 索引名称
	 */
	private String indexName;

	public String getMethodName() {
		return methodName;
	}

	public void setMethodName(String methodName) {
		this.methodName = methodName;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getForeignTableName() {
		return foreignTableName;
	}

	public void setForeignTableName(String foreignTableName) {
		this.foreignTableName = foreignTableName;
	}

	public String getProperty() {
		return property;
	}

	public void setProperty(String property) {
		this.property = property;
	}

	public String getColumn() {
		return column;
	}

	public void setColumn(String column) {
		this.column = column;
	}

	public String getClassType() {
		return classType;
	}

	public void setClassType(String classType) {
		this.classType = classType;
	}

	
	public Boolean getIsVisible() {
		return isVisible;
	}

	public void setIsVisible(Boolean isVisible) {
		this.isVisible = isVisible;
	}

	public Boolean getIsNecessary() {
		return isNecessary;
	}

	public void setIsNecessary(Boolean isNecessary) {
		this.isNecessary = isNecessary;
	}

	public String getJdbcType() {
		return jdbcType;
	}

	public void setJdbcType(String jdbcType) {
		this.jdbcType = jdbcType;
	}

	public Boolean getIsPrimaryKey() {
		return isPrimaryKey;
	}

	public void setIsPrimaryKey(Boolean isPrimaryKey) {
		this.isPrimaryKey = isPrimaryKey;
	}

	public Boolean getIsForeignKey() {
		return isForeignKey;
	}

	public void setIsForeignKey(Boolean isForeignKey) {
		this.isForeignKey = isForeignKey;
	}

	public String getColumnLength() {
		return columnLength;
	}

	public void setColumnLength(String columnLength) {
		this.columnLength = columnLength;
	}

	public String getShowName() {
		return showName;
	}

	public void setShowName(String showName) {
		this.showName = showName;
	}

	public String getFullJdbcType() {
		return fullJdbcType;
	}

	public void setFullJdbcType(String fullJdbcType) {
		this.fullJdbcType = fullJdbcType;
	}
	public String getIsAllowNull() {
		return isAllowNull;
	}

	public void setIsAllowNull(String isAllowNull) {
		this.isAllowNull = isAllowNull;
	}

	public String getIndexName() {
		return indexName;
	}

	public void setIndexName(String indexName) {
		this.indexName = indexName;
	}
}
