package ${codeModel.packageName};

<#list importList?keys as key>
import ${importList[key]};
</#list>	

/**
 * @description ${tableClassModel.tableMemo}
 * @author ${dataSource.author}
 * @date ${time}
 */
@Controller
@RequestMapping(value = "admin/${tableClassModel.classVariableName}")
public class ${ClassName} {

	@Autowired
	private ${tableClassModel.className}Dao ${tableClassModel.classVariableName}Dao;
	@Autowired
	RedisUserLoginUtils redisUserLoginUtils;
	
	/**
	 * 列表显示
	 */
	@RequestMapping(value =  "/showList")
	public @ResponseBody AjaxResult showList(${tableClassModel.className} ${tableClassModel.classVariableName}) {
		List<${tableClassModel.className}> dataList = ${tableClassModel.classVariableName}Dao.selectInPage(${tableClassModel.classVariableName});
		AjaxResult result = new AjaxResult(AjaxResult.STATUS_SUCCESS, dataList,
				${tableClassModel.classVariableName}Dao.selectTotalRecord(${tableClassModel.classVariableName}));
		return result;
	}
   	
	/**
	 * 新增
	 */   
	@RemoveRequestToken	
   	@RequestMapping(value =  "/add${tableClassModel.className}")
	public @ResponseBody AjaxResult add${tableClassModel.className}(${tableClassModel.className} ${tableClassModel.classVariableName}) {
		SysUsers user = redisUserLoginUtils.getLoginUser(SysUsers.class);
		${tableClassModel.classVariableName}.setCreateBy(user.getSuName());
		${tableClassModel.classVariableName}.setUpdateBy(user.getSuName());
	 	int i=${tableClassModel.classVariableName}Dao.insert(${tableClassModel.classVariableName});
	 	if(i > 0){
	 		return new AjaxResult(AjaxResult.STATUS_SUCCESS, SystemMessageCode.ADD_SUCCES, "${tableClassModel.tableMemo}");
	 	}else {
			throw new GlobleException(SystemErrorCode.DATA_ADD_FAIL);
		}
	}

	
	/**
	 * 修改
	 */   
	@RemoveRequestToken	
   	@RequestMapping(value =  "/modify${tableClassModel.className}")
	public @ResponseBody AjaxResult modify${tableClassModel.className}(${tableClassModel.className} new${tableClassModel.className}) {
		int i = ${tableClassModel.classVariableName}Dao.updateByModel(new${tableClassModel.className});
		if (i > 0) {
			return new AjaxResult(AjaxResult.STATUS_SUCCESS, SystemMessageCode.UPDATE_SUCCES, "${tableClassModel.tableMemo}");
		} else {
			throw new GlobleException(SystemErrorCode.DATA_UPDATE_FAIL);
		}
	}

   	
   	/**
	 * 删除
	 */  
 	@RequestMapping(value = "/del")
	public @ResponseBody AjaxResult del(String keys) {
		SysUsers user = redisUserLoginUtils.getLoginUser(SysUsers.class);
        Long companyId = user.getCompanyId();
		List<String> ids = StringUtils.strToCollToString(keys, ",");
		int i =  ${tableClassModel.classVariableName}Dao.deleteByIds(ids,companyId);
		if (i > 0) {
			return new AjaxResult(AjaxResult.STATUS_SUCCESS, SystemMessageCode.DELETE_SUCCES, i);
		} else {
			throw new GlobleException(SystemErrorCode.DATA_DELETE_FAIL);
		}
	}
  
}