package ${codeModel.packageName};

<#list importList?keys as key>
import ${importList[key]};
</#list>
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import com.xincheng.common.bean.EntityShoptTkDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
/**
 * @description ${tableClassModel.tableMemo}
 * @author ${dataSource.author}
 * @date ${time}
 */
@Data
@Table(name = "${tableClassModel.tableName}")
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value="${tableClassModel.tableMemo}",description="${tableClassModel.tableMemo}")
public class ${tableClassModel.className}  extends EntityShoptTkDTO{
	@Transient
	private static final long serialVersionUID = 1L; 

<#list tableClassModel.mapping as being>
	<#if being.column = tableClassModel.primaryKey.column && being.jdbcType = "int">
	@Id
	@GeneratedValue(generator = "JDBC")
	private ${being.classType}  ${being.property};
	<#else>
	<#if being.memo!="">
	/**
	* ${being.memo}
	*/
	@ApiModelProperty(value="${being.memo}",name="${being.memo}",example="")
	</#if>
	@Column(name = "${being.column}")
	private ${being.classType}  ${being.property};
	</#if>
</#list>
}