package ${codeModel.packageName};

<#list importList?keys as key>
import ${importList[key]};
</#list>
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.matrix.core.constance.SystemErrorCode;
import com.matrix.core.constance.SystemMessageCode;
import com.matrix.core.exception.GlobleException;
import com.matrix.core.pojo.AjaxResult;
import com.matrix.core.tools.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;
import java.util.stream.Collectors;
/**
 * @description ${tableClassModel.tableMemo}
 * @author ${dataSource.author}
 * @date ${time}
 */
@Service
public class ${ClassName} {

	@Autowired
	private ${tableClassModel.className}Dao ${tableClassModel.classVariableName}Dao;

	/**
	 * 列表显示
	 */
	public  AjaxResult showList(${tableClassModel.className} ${tableClassModel.classVariableName}) {
		if (${tableClassModel.classVariableName}.getLimit() != null && ${tableClassModel.classVariableName}.getOffset() != null&&${tableClassModel.classVariableName}.getLimit() !=0) {
			PageHelper.startPage((${tableClassModel.classVariableName}.getOffset()/${tableClassModel.classVariableName}.getLimit())+1,${tableClassModel.classVariableName}.getLimit(),
			${tableClassModel.classVariableName}.getSort()+" "+${tableClassModel.classVariableName}.getOrder());
		}
		List<${tableClassModel.className}> dataList = ${tableClassModel.classVariableName}Dao.select(${tableClassModel.classVariableName});
		PageInfo pageInfo = new PageInfo(dataList);
		AjaxResult result = new AjaxResult(AjaxResult.STATUS_SUCCESS, pageInfo.getList(),
		${tableClassModel.classVariableName}Dao.selectCount(${tableClassModel.classVariableName}));
		return result;
	}
   	
	/**
	 * 新增
	 */
	@Transactional
	public  AjaxResult add(${tableClassModel.className} ${tableClassModel.classVariableName}) {
		${tableClassModel.classVariableName}Dao.insert(${tableClassModel.classVariableName});
		return AjaxResult.buildSuccessInstance("添加成功");
	}

	
	/**
	 * 修改
	 */
	@Transactional
	public  AjaxResult modify(${tableClassModel.className} ${tableClassModel.classVariableName}) {
		${tableClassModel.classVariableName}Dao.updateByPrimaryKeySelective(${tableClassModel.classVariableName});
		return AjaxResult.buildSuccessInstance("修改成功");
	}

	/**
	* 删除
	*/
	@Transactional
	public  AjaxResult deleteByPrimaryKey(Integer id) {

		int i =  ${tableClassModel.classVariableName}Dao.deleteByPrimaryKey(id);
		if (i > 0) {
		return AjaxResult.buildSuccessInstance("删除成功");
		} else {
		throw new GlobleException(SystemErrorCode.DATA_DELETE_FAIL);
		}
	}
   	/**
	 * 删除
	 */
	@Transactional
	public  AjaxResult del(String keys) {
		List<String> ids = StringUtils.strToCollToString(keys, ",");
		List<Integer> ${tableClassModel.classVariableName}s = ids.stream().map(a ->
		Integer.parseInt(a)).collect(Collectors.toList());
		int i =  ${tableClassModel.classVariableName}Dao.deleteByIdList(${tableClassModel.classVariableName}s);
		if (i > 0) {
		return AjaxResult.buildSuccessInstance("删除成功");
		} else {
		throw new GlobleException(SystemErrorCode.DATA_DELETE_FAIL);
		}
	}
  
}